Subject: Re: bug#33244: 27.0.50; buffer-local face-remapping not obeyed for the fringe

From: Stefan Monnier <[email-masked]>
Date: Sat, 03 Nov 2018 18:07:41 -0400

> Thanks, fixed.

That was quick, thanks.  I notice that it works well when redisplay
happens in response to an operation in Emacs, but not when we just
redraw (part of) the frame in response to "expose" events:

If I do:

    src/emacs -Q --eval "(face-remap-add-relative 'fringe '(:background \"red\"))"
    C-x 4 b *Messages*
    <lower the frame under some other application>
    <raise it again above the other application>

it also happens if I iconify and then deiconify the Emacs frame.

then the fringes are all in the same color (that of the currently
selected window, AFAICT).

This is under X11 with the ctwm window-manager.  The precise
expose events sent and the moment they're sent likely depends on the
window-manager, so ... I hope you can reproduce it on your side.

        Stefan